using System;
namespace Fm.EntityClass
{
	/// <summary>
	/// 实体类Fm_file 。(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public class File
	{
		public File()
		{}
		#region Model
		private int _fid;
		private int _uid;
		private string _title;
		private string _tags;
		private string _filesize;
		private string _filetype;
		private DateTime _sharetime;
		private int _downloads;
		private string _sharetype;
		private string _shareurl;
		private string _intro;
		private string _path;
		private int _points;
		private string _thumbnail;
		/// <summary>
		/// 
		/// </summary>
		public int Fid
		{
			set{ _fid=value;}
			get{return _fid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int Uid
		{
			set{ _uid=value;}
			get{return _uid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Title
		{
			set{ _title=value;}
			get{return _title;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Tags
		{
			set{ _tags=value;}
			get{return _tags;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string FileSize
		{
			set{ _filesize=value;}
			get{return _filesize;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Filetype
		{
			set{ _filetype=value;}
			get{return _filetype;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime Sharetime
		{
			set{ _sharetime=value;}
			get{return _sharetime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int downloads
		{
			set{ _downloads=value;}
			get{return _downloads;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Sharetype
		{
			set{ _sharetype=value;}
			get{return _sharetype;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Shareurl
		{
			set{ _shareurl=value;}
			get{return _shareurl;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Intro
		{
			set{ _intro=value;}
			get{return _intro;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Path
		{
			set{ _path=value;}
			get{return _path;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int Points
		{
			set{ _points=value;}
			get{return _points;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string thumbnail
		{
			set{ _thumbnail=value;}
			get{return _thumbnail;}
		}
		#endregion Model

	}
}

